#include <iostream>

using namespace std;

int main()
{
    long long n,m;
    cin>>n>>m;
    long long d[n+1],u[n+1];
    for(long long i=1;i<n+1;i++)
        cin>>d[i]>>u[i];
    for(long long i=0;i<m;i++){
        long long l,r,x,b=0;
        cin>>l>>r>>x;
        for(long long j=l;j<r+1;j++){
            if(x>=d[j] && x<=u[j])
                b++;
        }
        cout<<b<<endl;
    }
    return 0;
}